[**@rxap/data-source**](../README.md)

***

[@rxap/data-source](../globals.md) / RxapDataSource

# Function: RxapDataSource()

> **RxapDataSource**\<`Metadata`\>(`dataSourceIdOrMetadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:331](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/data-source/src/lib/base.data-source.ts#L331)

## Type Parameters

• **Metadata** *extends* [`BaseDataSourceMetadata`](../interfaces/BaseDataSourceMetadata.md)

## Parameters

### dataSourceIdOrMetadata

`string` | `Metadata`

### className

`string` = `'BaseDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`BaseDataSource`](../classes/BaseDataSource.md)\<`any`, [`BaseDataSourceMetadata`](../interfaces/BaseDataSourceMetadata.md), [`BaseDataSourceViewer`](../interfaces/BaseDataSourceViewer.md)\<`any`\>\>\>

### Returns

`void`
